org.apache.ignite.internal.cache.query.index.sorted.keys

## Class StringIndexKey

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.keys.StringIndexKey

All Implemented Interfaces:
  IndexKey

    public class StringIndexKey
    extends Object
    implements IndexKey

### Constructor Summary

Constructors
Constructor and Description
`StringIndexKey(String key)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(IndexKey o)`
`Object` `key()`
`int` `type()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringIndexKey

    public StringIndexKey(String key)

### Method Detail

#### key

    public Object key()

Specified by:
  `key` in interface `IndexKey`
Returns:
  Value of this key.

#### type

    public int type()

Specified by:
  `type` in interface `IndexKey`
Returns:
  Index key type `IndexKeyTypes`.

#### compare

    public int compare(IndexKey o)

Specified by:
  `compare` in interface `IndexKey`
Returns:
  Comparison result with other IndexKey the same type.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021